<div class="vh-100">
  <!-- Header/NavBar Section -->
  <div class="d-flex border-bottom shadow-sm">
    <div class="position-relative flex-grow-1">
      <img src="assets/thumbnail_Left_Top.jpg" class="w-75 h-100 position-absolute start-0 top-0" alt="Right Image">
    </div>
    <div>
      <app-search-nav-bar></app-search-nav-bar>
    </div>
    <div class="position-relative flex-grow-1">
      <img src="assets/thumbnail_Right_Top.jpg" class="w-75 h-100 position-absolute end-0 top-0" alt="Right Image">
    </div>
  </div>
  <!-- Content -->
  <div class="container d-table">
    <div class="d-table-cell align-middle">
      <h3 class="mt-3 text-center">Compare</h3>
      <!-- Radio buttons -->
      <div class="d-flex justify-content-center">
        <div class="me-2">
          <input type="radio" class="btn-check" name="options-outlined" id="playerOption" autocomplete="off"
            value="player" [(ngModel)]="selectedRadioOption" (change)="onRadioOptionChange('player')">
          <label class="btn btn-outline-success" for="playerOption">Player</label>
        </div>
        <div>
          <input type="radio" class="btn-check" name="options-outlined" id="teamOption" autocomplete="off" value="team"
            [(ngModel)]="selectedRadioOption" (change)="onRadioOptionChange('team')">
          <label class="btn btn-outline-success" for="teamOption">Team</label>
        </div>
      </div>
      <!-- CompareOptions Section -->
      <div>
        <div class="d-flex justify-content-around">
          <h4>{{ selectedRadioOption === 'player' ? 'Player 1' : 'Team 1'}}</h4>
          <h4>{{ selectedRadioOption === 'player' ? 'Player 2' : 'Team 2'}}</h4>
        </div>
        <div class="d-flex justify-content-around">
          <!-- Option 1 Section -->
          <div>
            <!-- Option 1 Select -->
            <div>
              <app-compare-select 
                [selectOptionData]="selectOptionsData" 
                [defaultOptionText]="defaultOptionText"
                [selectNumber]=1
                (selectChangeEmitter)="onCompareSelectChange($event)">
              </app-compare-select>
            </div>
            <!-- Option 1 Season Select -->
            <div class="form-group">
              <select class="form-select" id="playerOneSeasonSelectElement" [disabled]="!optionOneSelected"
                (change)="UpdateOptionOneSeasonSelection($event)">
                <option value="" [selected]="!optionOneSelected" disabled>Seasons</option>
                <option value="2020" [selected]="optionOneSelected && optionOneSeason===2020">{{ selectedRadioOption === 'player' ? '2019-2020' : '2020-2021'}}</option>
                <option value="2021" [selected]="optionOneSelected && optionOneSeason===2021">{{ selectedRadioOption === 'player' ? '2020-2021' : '2021-2022'}}</option>
                <option value="2022" [selected]="optionOneSelected && optionOneSeason===2022">{{ selectedRadioOption === 'player' ? '2021-2022' : '2022-2023'}}</option>
                <option value="2023" [selected]="optionOneSelected && optionOneSeason===2023">{{ selectedRadioOption === 'player' ? '2022-2023' : '2023-2024'}}</option>
              </select>
            </div>
            <!-- Option 1 Information Panel -->
            <div *ngIf="optionOneSelected" class="border rounded p-2" style="height: 450px; overflow-y: auto;">
              <!-- Option 1 Information Panel - Image and Name -->
              <div class="border-bottom p-1">
                <div class="d-flex justify-content-center mb-1">
                  <img [src]="optionOneImgUrl" class="border rounded p-1"
                    style="max-width: 300px; max-height: 300px;"
                    alt="{{selectedRadioOption === 'player' ? 'Player Headshot' : 'Team Logo'}}">
                </div>
                <div *ngIf="selectedPlayerOne != null || (selectedTeamOne && selectedTeamOneStanding)" class="text-center">
                  <p class="mt-2" style="line-height: 0.5; font-weight:bold;">{{ selectedRadioOption === 'player' ?
                    selectedPlayerOne.name : selectedTeamOne.name}}</p>
                  <p style="line-height: 0.5;">{{ selectedRadioOption === 'player' ? 'Age: '+ selectedPlayerOne.age : 'Conference: '+selectedTeamOneStanding.conference}}</p>
                  <p style="line-height: 0.5;">{{ selectedRadioOption === 'player' ? 'Team: '+ selectedPlayerOne.team : 'Division: '+selectedTeamOneStanding.division}}</p>
                </div>
              </div>
              <!-- Option 1 Information Panel - Stats section -->
              <div *ngIf="selectedPlayerOne != null || (selectedTeamOne && selectedTeamOneStanding && selectedTeamOneStats)" class="text-center">
                <h5>Stats</h5>
              </div>
              <!-- Option 1 Information Panel - No Data Panel -->
              <div *ngIf="selectedPlayerOne == null && (!selectedTeamOne || !selectedTeamOneStanding || !selectedTeamOneStats)" class="text-center">
                <h4>No Data Available</h4>
                <p>See console for errors</p>
              </div>
              <!-- Option 1 Information Panel - Stats Data -->
              <ol *ngIf="selectedPlayerOne != null || (selectedTeamOne && selectedTeamOneStanding && selectedTeamOneStats)" class="list-group">
                <li *ngIf="selectedRadioOption === 'player'"
                  class="list-group-item d-flex justify-content-between align-items-start"
                  [ngClass]="{ 'better-stat-player': isHigherStat(selectedPlayerOne.ppg, selectedPlayerTwo?.ppg),
                  'worse-stat-player': isLowerStat(selectedPlayerOne.ppg, selectedPlayerTwo?.ppg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Games Played</div>
                    {{ selectedPlayerOne.gp }}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                  class="list-group-item d-flex justify-content-between align-items-start"
                  [ngClass]="{ 'better-stat-team': isHigherStat(selectedTeamOneStanding.wins, selectedTeamTwoStanding?.wins),
                  'worse-stat-team': isLowerStat(selectedTeamOneStanding.wins, selectedTeamTwoStanding?.wins) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Wins</div>
                    {{selectedTeamOneStanding.wins}}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-team': isLowerStat(selectedTeamOneStanding.conferenceRank, selectedTeamTwoStanding?.conferenceRank),
                'worse-stat-team': isHigherStat(selectedTeamOneStanding.conferenceRank, selectedTeamTwoStanding?.conferenceRank) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Conference Rank</div>
                    {{selectedTeamOneStanding.conferenceRank}}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-team': isLowerStat(selectedTeamOneStanding.conferenceRank, selectedTeamTwoStanding?.conferenceRank),
                'worse-stat-team': isHigherStat(selectedTeamOneStanding.conferenceRank, selectedTeamTwoStanding?.conferenceRank) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Division Rank</div>
                    {{selectedTeamOneStanding.divisionRank}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.ppg, selectedPlayerTwo?.ppg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.ppg, selectedPlayerTwo?.ppg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.ppg, selectedTeamTwoStats?.ppg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.ppg, selectedTeamTwoStats?.ppg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Points per game (PPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.ppg : (selectedTeamOneStats.ppg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.apg, selectedPlayerTwo?.apg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.apg, selectedPlayerTwo?.apg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.apg, selectedTeamTwoStats?.apg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.apg, selectedTeamTwoStats?.apg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Assists per game (APG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.apg : (selectedTeamOneStats.apg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.rpg, selectedPlayerTwo?.rpg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.rpg, selectedPlayerTwo?.rpg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.trpg, selectedTeamTwoStats?.trpg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.trpg, selectedTeamTwoStats?.trpg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Rebounds per game (RPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.rpg : (selectedTeamOneStats.trpg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.spg, selectedPlayerTwo?.spg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.spg, selectedPlayerTwo?.spg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.spg, selectedTeamTwoStats?.spg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.spg, selectedTeamTwoStats?.spg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Steals per game (SPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.spg : (selectedTeamOneStats.spg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.bpg, selectedPlayerTwo?.bpg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.bpg, selectedPlayerTwo?.bpg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.bpg, selectedTeamTwoStats?.bpg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.bpg, selectedTeamTwoStats?.bpg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Blocks per game (BPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.bpg : (selectedTeamOneStats.bpg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.ft, selectedPlayerTwo?.ft),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.ft, selectedPlayerTwo?.ft),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.fta, selectedTeamTwoStats?.fta),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.fta, selectedTeamTwoStats?.fta) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Free Throws per game (FTPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.ft : (selectedTeamOneStats.fta | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.tov, selectedPlayerTwo?.tov),
                'worse-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.tov, selectedPlayerTwo?.tov),
                'better-stat-team': selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.tov, selectedTeamTwoStats?.tov),
                'worse-stat-team' : selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.tov, selectedTeamTwoStats?.tov) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Turnovers per game (TOVPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.tov : (selectedTeamOneStats.tov | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerOne?.pf, selectedPlayerTwo?.pf),
                'worse-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerOne?.pf, selectedPlayerTwo?.pf),
                'better-stat-team': selectedRadioOption === 'team' && isLowerStat(selectedTeamOneStats?.pf, selectedTeamTwoStats?.pf),
                'worse-stat-team' : selectedRadioOption === 'team' && isHigherStat(selectedTeamOneStats?.pf, selectedTeamTwoStats?.pf) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Personal Fouls per game (PFPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.pf : (selectedTeamOneStats.pf | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerOne?.fg, +selectedPlayerTwo?.fg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerOne?.fg, +selectedPlayerTwo?.fg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamOneStats?.fgp, +selectedTeamTwoStats?.fgp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamOneStats?.fgp, +selectedTeamTwoStats?.fgp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Field Goal Percentage (FG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.fg : selectedTeamOneStats.fgp}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerOne?.threePercent, +selectedPlayerTwo?.threePercent),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerOne?.threePercent, +selectedPlayerTwo?.threePercent),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamOneStats?.tpp, +selectedTeamTwoStats?.tpp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamOneStats?.tpp, +selectedTeamTwoStats?.tpp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Three Point Percentage (TPP)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.threePercent : selectedTeamOneStats.tpp}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerOne?.ftPercent, +selectedPlayerTwo?.ftPercent),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerOne?.ftPercent, +selectedPlayerTwo?.ftPercent),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamOneStats?.ftp, +selectedTeamTwoStats?.ftp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamOneStats?.ftp, +selectedTeamTwoStats?.ftp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Free Throw Percentage (FTP)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerOne.ftPercent : selectedTeamOneStats.ftp}}
                  </div>
                </li>
              </ol>
            </div>
          </div>
          <!-- Option 2 Section -->
          <div>
            <!-- Option 2 Select -->
            <div>
              <app-compare-select 
                [selectOptionData]="selectOptionsData" 
                [defaultOptionText]="defaultOptionText"
                [selectNumber]=2
                (selectChangeEmitter)="onCompareSelectChange($event)">
              </app-compare-select>
            </div>
            <!-- Option 2 Season Select -->
            <div class="form-group">
              <select class="form-select" id="playerTwoSeasonSelectElement" [disabled]="!optionTwoSelected"
                (change)="UpdateOptionTwoSeasonSelection($event)">
                <option value="" [selected]="!optionTwoSelected" disabled>Seasons</option>
                <option value="2020" [selected]="optionTwoSelected && optionTwoSeason===2020">{{ selectedRadioOption === 'player' ? '2019-2020' : '2020-2021'}}</option>
                <option value="2021" [selected]="optionTwoSelected && optionTwoSeason===2021">{{ selectedRadioOption === 'player' ? '2020-2021' : '2021-2022'}}</option>
                <option value="2022" [selected]="optionTwoSelected && optionTwoSeason===2022">{{ selectedRadioOption === 'player' ? '2021-2022' : '2022-2023'}}</option>
                <option value="2023" [selected]="optionTwoSelected && optionTwoSeason===2023">{{ selectedRadioOption === 'player' ? '2022-2023' : '2023-2024'}}</option>
              </select>
            </div>
            <!-- Option 2 Information Panel -->
            <div *ngIf="optionTwoSelected" class="border rounded p-2" style="height: 450px; overflow-y: auto;">
              <!-- Option 2 Information Panel - Image and Name -->
              <div class="border-bottom p-1">
                <div class="d-flex justify-content-center mb-1">
                  <img [src]="optionTwoImgUrl" class="border rounded p-1"
                    style="max-width: 300px; max-height: 300px;"
                    alt="{{selectedRadioOption === 'player' ? 'Player Headshot' : 'Team Logo'}}">
                </div>
                <div *ngIf="selectedPlayerTwo != null || (selectedTeamTwo && selectedTeamTwoStanding)" class="text-center">
                  <p class="mt-2" style="line-height: 0.5; font-weight:bold;">{{ selectedRadioOption === 'player' ?
                    selectedPlayerTwo.name : selectedTeamTwo.name}}</p>
                  <p style="line-height: 0.5;">{{ selectedRadioOption === 'player' ? 'Age: '+ selectedPlayerTwo.age : 'Conference: '+ selectedTeamTwoStanding.conference}}</p>
                  <p style="line-height: 0.5;">{{ selectedRadioOption === 'player' ? 'Team: '+ selectedPlayerTwo.team: 'Division: '+selectedTeamTwoStanding.division}}</p>
                </div>
              </div>
              <!-- Option 2 Information Panel - Stats section -->
              <div *ngIf="selectedPlayerTwo != null || (selectedTeamTwo && selectedTeamTwoStanding && selectedTeamTwoStats)" class="text-center">
                <h5>Stats</h5>
              </div>
              <!-- Option 2 Information Panel - No Data Panel -->
              <div *ngIf="selectedPlayerTwo == null && (!selectedTeamTwo || !selectedTeamTwoStanding || !selectedTeamTwoStats)" class="text-center">
                <h4>No Data Available</h4>
                <p>See console for errors</p>
              </div>
              <!-- Option 2 Information Panel - Stats Data -->
              <ol *ngIf="selectedPlayerTwo != null || (selectedTeamTwo && selectedTeamTwoStanding && selectedTeamTwoStats)" class="list-group">
                <li *ngIf="selectedRadioOption === 'player'" 
                  class="list-group-item d-flex justify-content-between align-items-start"
                  [ngClass]="{ 'better-stat-player': isHigherStat(selectedPlayerTwo.ppg, selectedPlayerOne?.ppg),
                  'worse-stat-player': isLowerStat(selectedPlayerTwo.ppg, selectedPlayerOne?.ppg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Games Played</div>
                    {{ selectedPlayerTwo.gp }}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                  class="list-group-item d-flex justify-content-between align-items-start"
                  [ngClass]="{ 'better-stat-team': isHigherStat(selectedTeamTwoStanding.wins, selectedTeamOneStanding?.wins),
                  'worse-stat-team': isLowerStat(selectedTeamTwoStanding.wins, selectedTeamOneStanding?.wins) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Wins</div>
                    {{selectedTeamTwoStanding.wins}}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-team': isLowerStat(selectedTeamTwoStanding.conferenceRank, selectedTeamOneStanding?.conferenceRank),
                'worse-stat-team': isHigherStat(selectedTeamTwoStanding.conferenceRank, selectedTeamOneStanding?.conferenceRank) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Conference Rank</div>
                    {{selectedTeamTwoStanding.conferenceRank}}
                  </div>
                </li>
                <li *ngIf="selectedRadioOption === 'team'"
                class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-team': isLowerStat(selectedTeamTwoStanding.conferenceRank, selectedTeamOneStanding?.conferenceRank),
                'worse-stat-team': isHigherStat(selectedTeamTwoStanding.conferenceRank, selectedTeamOneStanding?.conferenceRank) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Division Rank</div>
                    {{selectedTeamTwoStanding.divisionRank}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.ppg, selectedPlayerOne?.ppg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.ppg, selectedPlayerOne?.ppg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.ppg, selectedTeamOneStats?.ppg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.ppg, selectedTeamOneStats?.ppg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Points per game (PPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.ppg : (selectedTeamTwoStats.ppg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.apg, selectedPlayerOne?.apg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.apg, selectedPlayerOne?.apg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.apg, selectedTeamOneStats?.apg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.apg, selectedTeamOneStats?.apg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Assists per game (APG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.apg : (selectedTeamTwoStats.apg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.rpg, selectedPlayerOne?.rpg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.rpg, selectedPlayerOne?.rpg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.trpg, selectedTeamOneStats?.trpg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.trpg, selectedTeamOneStats?.trpg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Rebounds per game (RPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.rpg : (selectedTeamTwoStats.trpg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.spg, selectedPlayerOne?.spg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.spg, selectedPlayerOne?.spg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.spg, selectedTeamOneStats?.spg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.spg, selectedTeamOneStats?.spg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Steals per game (SPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.spg : (selectedTeamTwoStats.spg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.bpg, selectedPlayerOne?.bpg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.bpg, selectedPlayerOne?.bpg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.bpg, selectedTeamOneStats?.bpg),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.bpg, selectedTeamOneStats?.bpg) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Blocks per game (BPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.bpg : (selectedTeamTwoStats.bpg | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.ft, selectedPlayerOne?.ft),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.ft, selectedPlayerOne?.ft),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.fta, selectedTeamOneStats?.fta),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.fta, selectedTeamOneStats?.fta) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Free Throws per game (FTPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.ft : (selectedTeamTwoStats.fta | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.tov, selectedPlayerOne?.tov),
                'worse-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.tov, selectedPlayerOne?.tov),
                'better-stat-team': selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.tov, selectedTeamOneStats?.tov),
                'worse-stat-team' : selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.tov, selectedTeamOneStats?.tov) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Turnovers per game (TOVPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.tov : (selectedTeamTwoStats.tov | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player':  selectedRadioOption === 'player' && isLowerStat(selectedPlayerTwo.pf, selectedPlayerOne?.pf) ,
                'worse-stat-player': selectedRadioOption === 'player' && isHigherStat(selectedPlayerTwo.pf, selectedPlayerOne?.pf),
                'better-stat-team': selectedRadioOption === 'team' && isLowerStat(selectedTeamTwoStats.pf, selectedTeamOneStats?.pf),
                'worse-stat-team' : selectedRadioOption === 'team' && isHigherStat(selectedTeamTwoStats.pf, selectedTeamOneStats?.pf) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Personal Fouls per game (PFPG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.pf : (selectedTeamTwoStats.pf | number: '1.2-2') }}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerTwo.fg, +selectedPlayerOne.fg),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerTwo.fg, +selectedPlayerOne.fg),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamTwoStats.fgp, +selectedTeamOneStats.fgp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamTwoStats.fgp, +selectedTeamOneStats.fgp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Field Goal Percentage (FG)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.fg : selectedTeamTwoStats.fgp}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerTwo.threePercent, +selectedPlayerOne.threePercent),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerTwo.threePercent, +selectedPlayerOne.threePercent),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamTwoStats.tpp, +selectedTeamOneStats.tpp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamTwoStats.tpp, +selectedTeamOneStats.tpp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Three Point Percentage (TPP)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.threePercent : selectedTeamTwoStats.tpp}}
                  </div>
                </li>
                <li class="list-group-item d-flex justify-content-between align-items-start"
                [ngClass]="{ 'better-stat-player': selectedRadioOption === 'player' && isHigherStat(+selectedPlayerTwo.ftPercent, +selectedPlayerOne.ftPercent),
                'worse-stat-player': selectedRadioOption === 'player' && isLowerStat(+selectedPlayerTwo.ftPercent, +selectedPlayerOne.ftPercent),
                'better-stat-team': selectedRadioOption === 'team' && isHigherStat(+selectedTeamTwoStats.ftp, +selectedTeamOneStats.ftp),
                'worse-stat-team' : selectedRadioOption === 'team' && isLowerStat(+selectedTeamTwoStats.ftp, +selectedTeamOneStats.ftp) }">
                  <div class="ms-2 me-auto">
                    <div class="fw-bold">Free Throw Percentage (FTP)</div>
                    {{ selectedRadioOption === 'player' ? selectedPlayerTwo.ftPercent : selectedTeamTwoStats.ftp}}
                  </div>
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>